
%global meadversion 2.8.6
%global namedversion 2.8.6.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package gson} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 2.8.6.redhat-00001

Name:		    %{?scl_prefix}gson
Summary:	    Gson JSON library
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: gson-parent-2.8.6.redhat-00001-project-sources.tar.gz
Source102: gson-parent-2.8.6.redhat-00001.pom
Source103: gson-2.8.6.redhat-00001.pom
Source104: gson-2.8.6.redhat-00001-sources.jar
Source105: gson-2.8.6.redhat-00001.jar
%endif

License:        ASL 2.0
URL:            https://github.com/google/gson
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
Gson is a Java library that can be used to convert Java Objects into their JSON representation.
It can also be used to convert a JSON string to an equivalent Java object.
Gson can work with arbitrary Java objects including pre-existing objects that you do not have source-code of.

%if %with javadoc
%package javadoc
Summary:        Javadoc for gson
Group:          Development/Java


%description javadoc
Javadoc for gson
%endif

%prep
%setup -q -n gson-parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/gson-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/gson-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/gson-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/gson-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/gson-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s gson-%{namedversion} gson)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md LICENSE CHANGELOG.md GsonDesignDocument.md UserGuide.md ReleaseProcess.md

%{_javadir}/gson-%{namedversion}.jar
%{_javadir}/gson.jar
%{_javadir}/gson-%{namedversion}-sources.jar
%{_javadir}/gson-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/gson
%{_javadocdir}/gson-%{namedversion}
%endif

%changelog
* Thu Jun 04 2020 Yong Yang <yyang@redhat.com> - 2.8.6-1.redhat_00001.1
- RPM wrapper build 2.8.6.redhat-00001

* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 2.8.2-1.redhat_5.1
-  2.8.2.redhat-5 

* Tue Sep 25 2018 Yong Yang <yyang@redhat.com> - 2.8.2.redhat-5
- Init build
